Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Export Datamart

Request

Exports the specified Datamart source. Typically used in an integration scenario (IM) for a given customer. The request’s body can contain a data block with a regular filter criteria definition (as, for example, used in the JSON API fetch commands), to filter the output rows.

If the Analytics database for the parition is hosted in AWS, the export file(s) will be transferred to the corresponding S3 bucket, ready for retrieval using the datamart.fetchexportfile (Get a DM Export File) endpoint. Otherwise the files are put in the local file system of the node that handles the request:

default path: server/temp/<node>/export/<partition>/

If needed, a different, absolute path can be set using an instance parameter:

datamart.database.export.path

Data is exported in the CSV format, and is always gzip-compressed. Character encoding is always UTF-8. There is no client side encryption.

Security
basic or X-PriceFx-jwt
Path
fcTypedIdOrSourceNamestringrequired

Restricts the export to a specific source, identified by either the 'typedId' or 'sourceName'.

Example: DMDS.SegmentPrices
Query
suffixstring

A suffix appended to the standard output file name: <typeCode>_<sourceUniqueName>_<suffix>.csv.gz

maxRowsstring

The maximum number of returned rows.

Bodyapplication/json
dataobject
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.export/DMDS.SegmentPrices?suffix=string&maxRows=string' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "criteria": [
        {
          "operator": "string",
          "fieldName": "string",
          "value": "string"
        }
      ],
      "operator": "string"
    }
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "string", "data": [], "status": 0 } }

Restore Default Data Sources

Request

Creates a default Data Source (Product, Customer, Unit of Measures, Currencies, or Calendar). Use this endpoint if default Data Sources have not been created when setting up the partition.

Note: When no path parameter is passed, all default Data Sources are dropped and recreated - any data will be lost. Othwerise, only the Data Source indicated by the path param is dropped and recreated.

Security
basic or X-PriceFx-jwt
Path
dataSourceNamestringrequired

The name of the Data Source you want to create.

Enum"Product""Customer""uom""ccy""cal"
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.restoredefaultds/{dataSourceName}'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
No response example

Import a File

Request

Uploads a file to the Data Manager (specified by typeId in the path parameter).

To import data into FieldCollection (DMT or DMDS), use the datamart.loadfc/{typedId} endpoint.

Follow these steps to upload a file:

  1. Create an upload slot and retrieve the slotId using the /uploadmanager.newuploadslot endpoint (see Product Image > 1. Create an Upload Slot).
  2. Upload the file using the /datamart.importfile/{slotId}/{typedId} endpoint.

When importing a CSV file, it is possible to include more information than just a column name.
Example:

columName1:NUMBER:KEY,columnName2:TEXT:DIM,columnName3:NUMBER
a,1,0.5
b,1,0.6
c,2,1.2
d,3,2.0

In the example above you can see that columnName1 column should be the NUMBER field type and also the key (KEY).
The columnName2 column should be the TEXT type and a dimension (DIM).
The columnName3 column should be a NUMBER.
Possible field types: BOOLEAN, CURRENCY, DATE, DATETIME, INTEGER, LOB, MONEY, NUMBER, QUANTITY, TEXT, UOM

Information: When using datamart.importfile to upload a file with huge numbers (20+ significant decimal digits) it is recommended to use the Avro format. In CSV and XLSX files, you can use numbers within the double type or long type ranges.

Security
basic or X-PriceFx-jwt
Path
slotIdstringrequired

The id of the slot. Create the slot and retrieve the id using the /uploadmanager.newuploadslot endpoint.

typedIdstringrequired

The typedId of the Data Manager entity.

Example: 2147483847.DMDS
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/datamart.importfile/{slotId}/2147483847.DMDS'

Responses

OK

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas